# wxGridCellNumberEditor Class Reference
[Grid Related Classes]

`#include </home/work/projects/wx/2.9/wx/interface/wx/grid.h>`

Inheritance diagram for wxGridCellNumberEditor:
[legend]

## Detailed Description

Grid cell editor for numeric integer data.

##

Library: wxAdvanced
Category: Grid Related Classes

See also:
  wxGridCellEditor, wxGridCellAutoWrapStringEditor, wxGridCellBoolEditor, wxGridCellChoiceEditor, wxGridCellEnumEditor, wxGridCellFloatEditor, wxGridCellTextEditor

## Public Member Functions

| wxGridCellNumberEditor (int min=-1, int max=-1)
| Allows you to specify the range for acceptable data.
virtual void | SetParameters (const wxString &params)
| Parameters string format is "min,max".

## Protected Member Functions

bool | HasRange () const
| If the return value is true, the editor uses a wxSpinCtrl to get user input, otherwise it uses a wxTextCtrl.
wxString | GetString () const
| String representation of the value.

List of all members.

## Constructor & Destructor Documentation

wxGridCellNumberEditor::wxGridCellNumberEditor | ( | int | min = `-1`,
|  | int | max = `-1` |
| ) |  |  |

Allows you to specify the range for acceptable data.

Values equal to -1 for both min and max indicate that no range checking should be done.

## Member Function Documentation

wxString wxGridCellNumberEditor::GetString | ( |  | ) | const`[protected]`

String representation of the value.

bool wxGridCellNumberEditor::HasRange | ( |  | ) | const`[protected]`

If the return value is true, the editor uses a wxSpinCtrl to get user input, otherwise it uses a wxTextCtrl.

virtual void wxGridCellNumberEditor::SetParameters | ( | const wxString & | params | ) | `[virtual]`

Parameters string format is "min,max".

Reimplemented from wxGridCellTextEditor.

|  | [ top ]